org.apache.lucene.codecs.simpletext

## Class SimpleTextPointsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PointsFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextPointsFormat

-     public final class SimpleTextPointsFormat
      extends PointsFormat

  For debugging, curiosity, transparency only!! Do not use this codec in production.

  This codec stores all dimensional data in a single human-readable text file (_N.dim). You can view this in any text editor, and even edit it to alter your index.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.PointsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextPointsFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PointsReader` | `fieldsReader(SegmentReadState state)`
    `PointsWriter` | `fieldsWriter(SegmentWriteState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextPointsFormat

          public SimpleTextPointsFormat()

  - ### Method Detail

    - #### fieldsWriter

          public PointsWriter fieldsWriter(SegmentWriteState state)
                                    throws IOException

      Specified by:
        `fieldsWriter` in class `PointsFormat`
      Throws:
        `IOException`

    - #### fieldsReader

          public PointsReader fieldsReader(SegmentReadState state)
                                    throws IOException

      Specified by:
        `fieldsReader` in class `PointsFormat`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.